// AboutDialog.cpp : implementation file
//

#include "stdafx.h"
#include "kitty.h"
#include "AboutDialog.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CAboutDialog dialog


CAboutDialog::CAboutDialog(CWnd* pParent /*=NULL*/)
	: CDialog(CAboutDialog::IDD, pParent)
{
	//{{AFX_DATA_INIT(CAboutDialog)
	//}}AFX_DATA_INIT

	m_hRgn = CreateEllipticRgn (0, 0, 150, 150);
	HRGN hRectRgn = CreateRoundRectRgn (100, 0, 370, 150, 30, 30);
	CombineRgn (m_hRgn, m_hRgn, hRectRgn, RGN_OR);
	DeleteObject (hRectRgn);
}


void CAboutDialog::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CAboutDialog)
	DDX_Control(pDX, IDC_TEXT, m_TextCtrl);
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(CAboutDialog, CDialog)
	//{{AFX_MSG_MAP(CAboutDialog)
	ON_WM_LBUTTONUP()
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CAboutDialog message handlers

BOOL CAboutDialog::OnInitDialog() 
{
	CDialog::OnInitDialog();
	
	//   
	SetWindowRgn (m_hRgn, TRUE);
	SetWindowPos (&wndTopMost, 0, 0, 370, 150, SWP_NOMOVE);

	//   
	m_Font.CreateFont (- 10, 0, 0, 0, 0, FALSE, FALSE, FALSE,
		RUSSIAN_CHARSET, OUT_TT_ONLY_PRECIS, CLIP_DEFAULT_PRECIS, DEFAULT_QUALITY,
		VARIABLE_PITCH | FF_ROMAN, _T("Arial"));
	m_TextCtrl.SetFont (&m_Font);

	//   
	m_TextCtrl.SetWindowPos (NULL, 160, 20, 200, 110, 0);

	//  
	CString text;
	text.LoadString (IDS_TEXT);
	m_TextCtrl.SetWindowText (text);

	return TRUE;  // return TRUE unless you set the focus to a control
	              // EXCEPTION: OCX Property Pages should return FALSE
}

void CAboutDialog::OnLButtonUp(UINT nFlags, CPoint point) 
{
	CDialog::OnLButtonUp(nFlags, point);
	CDialog::OnOK ();
}
